searchData={"items":[{"type":"module","title":"Text2Html","doc":"Text2Html transform text into HTML.","ref":"Text2Html.html"},{"type":"function","title":"Text2Html.text_to_html/2","doc":"Returns text transformed into HTML using simple formatting rules.\n\nTwo or more consecutive newlines `\\n\\n` or `\\r\\n\\r\\n` are considered as a\nparagraph and text between them is wrapped in ` ` tags.\nOne newline `\\n` or `\\r\\n` is considered as a linebreak and a ` ` tag is inserted.","ref":"Text2Html.html#text_to_html/2"},{"type":"function","title":"Examples - Text2Html.text_to_html/2","doc":"iex> Text2Html.text_to_html(\"Hello\\n\\nWorld\") |> Phoenix.HTML.safe_to_string()\n    \" Hello \\n World \\n\"\n\n    iex> Text2Html.text_to_html(\"Hello\\nWorld\") |> Phoenix.HTML.safe_to_string()\n    \" Hello \\nWorld \\n\"\n\n    iex> opts = [wrapper_tag: :div, attributes: [class: \"p\"]]\n    ...> Text2Html.text_to_html(\"Hello\\n\\nWorld\", opts) |> Phoenix.HTML.safe_to_string()\n    \" Hello \\n World \\n\"","ref":"Text2Html.html#text_to_html/2-examples"},{"type":"function","title":"Options - Text2Html.text_to_html/2","doc":"* `:escape` - if `false` does not html escape input (default: `true`)\n  * `:wrapper_tag` - tag to wrap each paragraph (default: `:p`)\n  * `:attributes` - html attributes of the wrapper tag (default: `[]`)\n  * `:insert_brs` - if `true` insert ` ` for single line breaks (default: `true`)\n  * `:links` - if `true` convert URLs to links (default: `false`)\n  * `:links_opts` - options for the links conversion (default: `[]`)","ref":"Text2Html.html#text_to_html/2-options"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.1"}}